Peplink Portal Docs

Search Products

Search products available to your partner account.

Request

GET/products/search

Query parameters

pageNumintegeroptionaldefault: 1

Page number of the search result. Minimum value allowed is 1.

pageSizeintegeroptionaldefault: 10

A limit on the number of items returned. Allowed value can range between 1 and 100.

sortstringoptionaldefault: SKU_ASC

Sort order for the results.

  • SKU_ASC — Sort by SKU in ascending order
  • SKU_DESC — Sort by SKU in descending order
  • NAME_ASC — Sort by name in ascending order
  • NAME_DESC — Sort by name in descending order
catalogenumoptionaldefault: REFERENCE

The product catalog to search.

  • REFERENCE — Product catalog for reference checking
  • ESTORE — Product catalog for eStore
  • STARLINK — Product catalog for Starlink ASP
querystringoptional

Search query string.

kindsenum arrayoptional

Filter results by product kind.

  • HARDWARE — A hardware product
  • ACCESSORY — An accessory product
skusstring arrayoptional

Filter results by SKUs.

isNfrCouponRequestEligiblebooleanoptional

Only for catalog: REFERENCE. Filter results by NFR coupon request eligibility.

productNaturesenum arrayoptional

Only for catalog: ESTORE. Filter results by product nature.

  • PHYSICAL — A physical product
  • VIRTUAL — A virtual product
productSeriesenum arrayoptional

Only for catalog: ESTORE. Filter results by product series.

  • VELOCITY — Velocity series
  • VELOCITY_PLUS — Velocity Plus series
  • BLUECHIP — Bluechip series
  • VOLUME_BASED — Volume Based series
starlinkCountryCodestringoptional

Only for catalog: STARLINK. Filter results by Starlink country code.

starlinkProductTypesenum arrayoptional

Only for catalog: STARLINK. Filter results by Starlink product types.

  • PHYSICAL — Starlink KIT or accessory
  • SHIPMENT — Shipment option
  • TERMINAL_ACCESS_CHARGE — Terminal access charge for service line
  • DATA — Starlink data for service line plan
  • DATA_TOPUP — Top-up data for service line
starlinkServiceLineTypeenumoptional

Only for catalog: STARLINK. Filter results by Starlink service line type.

  • LOCAL — Local priority data plan
  • GLOBAL — Global priority data plan
exportPartnerPricebooleanoptionaldefault: false

Only for catalog: ESTORE, STARLINK. Set true to include partner price information in the response via partnerPrice. partnerPrice is null unless this is set to true.

Response

A json is returned in the response body with the following fields:

totalCountlong

Total number of records found with the search request. If this value is larger than the returned count of items, you can find more results by retrying the same request with different pageNum.

itemsobject array

Returns products found for the current page of search result.

Show child attributes
items.skustring

SKU of the product.

items.namestring

Name of the product.

items.kindnullable enum

Only for catalog: ESTORE, STARLINK. Kind of the product.

  • HARDWARE — A hardware product
  • ACCESSORY — An accessory product
items.productNaturenullable enum

Only for catalog: ESTORE. Product nature of the product.

  • PHYSICAL — A physical product
  • VIRTUAL — A virtual product
items.productSeriesnullable enum

Only for catalog: ESTORE. Product series of the product.

  • VELOCITY — Velocity series
  • VELOCITY_PLUS — Velocity Plus series
  • BLUECHIP — Bluechip series
  • VOLUME_BASED — Volume Based series
items.descriptionnullable string

Only for catalog: ESTORE. Description of the product.

items.defaultImagenullable object

Only for catalog: ESTORE. Default image of the product. null if the product has no image.

Show child attributes
items.defaultImage.fullUrlstring

Full URL of the default image.

items.defaultImage.thumbnailUrlstring

Thumbnail URL of the default image.

items.optionSkusstring array

Only for catalog: ESTORE. SKUs of the option products for the product.

items.countryOfOriginCodenullable string

Only for catalog: ESTORE. 2-char ISO country codes for country of origin of the product.

items.productLengthMmnullable integer

Only for catalog: ESTORE. Product length in millimeters.

items.productWidthMmnullable integer

Only for catalog: ESTORE. Product width in millimeters.

items.productHeightMmnullable integer

Only for catalog: ESTORE. Product height in millimeters.

items.productWeightGramnullable integer

Only for catalog: ESTORE. Product weight in grams.

items.packageLengthMmnullable integer

Only for catalog: ESTORE. Package length in millimeters.

items.packageWidthMmnullable integer

Only for catalog: ESTORE. Package width in millimeters.

items.packageHeightMmnullable integer

Only for catalog: ESTORE. Package height in millimeters.

items.packageWeightGramnullable integer

Only for catalog: ESTORE. Package weight in grams.

items.starlinkCountriesobject array

Only for catalog: STARLINK. Countries where the Starlink product is available. Only includes countries enabled for your partner account. Empty if the product is not available in any of them.

Show child attributes
items.starlinkCountries.countryCodestring

ISO 3166-1 alpha-2 country code.

items.starlinkCountries.starlinkProductIdstring

Starlink product ID of the product in this country.

items.starlinkProductTypenullable enum

Only for catalog: STARLINK. Product type of the Starlink product.

  • PHYSICAL — Starlink KIT or accessory
  • SHIPMENT — Shipment option
  • TERMINAL_ACCESS_CHARGE — Terminal access charge for service line
  • DATA — Starlink data for service line plan
  • DATA_TOPUP — Top-up data for service line
items.starlinkServiceLineTypenullable enum

Only for catalog: STARLINK. Service line type of the Starlink product.

  • LOCAL — Local priority data plan
  • GLOBAL — Global priority data plan
items.starlinkServiceLineDataVolumenullable number

Only for catalog: STARLINK. Data volume for the Starlink service line.

items.starlinkServiceLineDataUnitnullable enum

Only for catalog: STARLINK. Data unit for the Starlink service line.

  • GB — Gigabytes
  • TB — Terabytes
items.starlinkShipmentOptionSkusstring array

Only for catalog: STARLINK. SKUs of the shipment option products for the Starlink product.

items.starlinkAddonOptionSkusstring array

Only for catalog: STARLINK. SKUs of the add-on option products for the Starlink product.

items.starlinkFreeItemOptionSkusstring array

Only for catalog: STARLINK. SKUs of the free item option products for the Starlink product.

items.starlinkFreeRouterOptionSkusstring array

Only for catalog: STARLINK. SKUs of the free router option products for the Starlink product.

items.partnerPricenullable object

Only for catalog: ESTORE, STARLINK. Partner price for the product. null unless the request set exportPartnerPrice=true.

Show child attributes
items.partnerPrice.currencystring

3-char ISO currency code for the partner price.

items.partnerPrice.originalUnitPricenumber

Unit price without partner discounts. Can be treated as MSRP.

items.partnerPrice.unitPricenumber

Unit price after partner discounts.

Examples

For catalog: REFERENCE

Request

curl -X GET 'https://portal.peplink.com/api/e/v1/cp/products/search?pageNum=1&pageSize=5&catalog=REFERENCE' \  -H 'Authorization: Bearer {token}'

Response

{
  "totalCount": 1,
  "items": [
    {
      "sku": "SKU-001",
      "name": "Product Name"
    }
  ]
}

For catalog: ESTORE

Request

curl -X GET 'https://portal.peplink.com/api/e/v1/cp/products/search?pageNum=1&pageSize=5&catalog=ESTORE&exportPartnerPrice=true' \  -H 'Authorization: Bearer {token}'

Response

{
  "totalCount": 1,
  "items": [
    {
      "sku": "B-ONE-T-PRM",
      "name": "B One",
      "kind": "HARDWARE",
      "productNature": "PHYSICAL",
      "productSeries": "VELOCITY",
      "description": "Product description.",
      "defaultImage": {
        "fullUrl": "https://example.com/image.jpg",
        "thumbnailUrl": "https://example.com/image-thumb.jpg"
      },
      "optionSkus": [
        "LIC-DOC",
        "LIC-2VWAN",
        "LIC-VWAN",
        "MAX-BR1-ADV",
        "LIC-2OPN-WAN",
        "SFC-RLY-LC-05",
        "PVN-LC-20",
        "PRM-A-1Y",
        "SFC-RLY-LC-20",
        "SFC-CLD-B",
        "SFC-CLD-A",
        "SFC-CLD-D",
        "SFC-CLD-C",
        "SFC-CLD-F",
        "SFC-CLD-E",
        "LIC-OPN-WAN",
        "SFC-CLD-G",
        "PCP-A-1Y",
        "AP-LC-50",
        "PRM-A-4Y",
        "SFC-CLD-Z",
        "LIC-4CPPROF",
        "PRM-A-2Y",
        "SFC-RLY-LC-10",
        "LIC-3VWAN",
        "LIC-4OPN-WAN",
        "PVN-LC-10",
        "SFC-CLD-U-1M",
        "PCP-A-2Y",
        "LIC-3OPN-WAN",
        "PCP-A-4Y",
        "SFC-CLD-U-1Y",
        "SFC-RLY-LC-50"
      ],
      "countryOfOriginCode": "TW",
      "productLengthMm": 262,
      "productWidthMm": 161,
      "productHeightMm": 33,
      "productWeightGram": 730,
      "packageLengthMm": 285,
      "packageWidthMm": 197,
      "packageHeightMm": 80,
      "packageWeightGram": 1200,
      "partnerPrice": {
        "currency": "USD",
        "originalUnitPrice": 1234.2,
        "unitPrice": 1200.3
      }
    }
  ]
}

Request

curl -X GET 'https://portal.peplink.com/api/e/v1/cp/products/search?pageNum=1&pageSize=5&catalog=STARLINK&starlinkCountryCode=US&exportPartnerPrice=true' \  -H 'Authorization: Bearer {token}'

Response

{
  "totalCount": 1,
  "items": [
    {
      "sku": "SKU-SL-001",
      "name": "Starlink Product Name",
      "kind": "HARDWARE",
      "starlinkCountries": [
        {
          "countryCode": "US",
          "starlinkProductId": "starlink-product-id-001"
        }
      ],
      "starlinkProductType": "PHYSICAL",
      "starlinkServiceLineType": "GLOBAL",
      "starlinkServiceLineDataVolume": null,
      "starlinkServiceLineDataUnit": null,
      "starlinkShipmentOptionSkus": ["SKU-SL-SHIP-001"],
      "starlinkAddonOptionSkus": [],
      "starlinkFreeItemOptionSkus": [],
      "starlinkFreeRouterOptionSkus": [],
      "partnerPrice": {
        "currency": "USD",
        "originalUnitPrice": 1234.2,
        "unitPrice": 1200.3
      }
    }
  ]
}

On this page